<?php
namespace Ep\Wp\Plugin\Core;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Laminas\ServiceManager\PluginManagerInterface;
use Laminas\View\HelperPluginManager;

/**
 * Stvara novu instancu Assets plugina.
 *
 * @package Ep\Wp\Plugin\Core
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/wordpress
 */
class AssetsFactory implements FactoryInterface
{
    /**
     * Stvara plugin.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return Assets
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var PluginManagerInterface $helpers */
        $helpers = $container->get(HelperPluginManager::class);
        $assetUrl = $helpers->get('asset_url');

        return new Assets($assetUrl);
    }
}
