<?php
namespace Ep\Wp\Test;

use Ak\Test\AbstractTestCase;
use Ep\Wp\ConfigProvider;
use Ak\Wp\Plugin\PluginInterface;
use EpTest\ContainerAwareTrait;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\PluginManagerInterface;

/**
 * Class AbstractWordPressTest
 *
 * @package Ep\Wp\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/ep-framework
 */
abstract class AbstractWordPressTest extends AbstractTestCase
{
    use ContainerAwareTrait;

    protected function getPluginManager(array $additionalConfig = []): PluginManagerInterface
    {
        $config = (new ConfigAggregator([
            \Ak\Wp\ConfigProvider::class,
            ConfigProvider::class,
            new ArrayProvider($additionalConfig),
        ]))->getMergedConfig();

        $container = $this->createContainer($config);
        return $container->get('wp.plugins');
    }

    protected function getPlugin(string $name, array $additionalConfig = []): PluginInterface
    {
        $plugins = $this->getPluginManager($additionalConfig);
        return $plugins->get($name);
    }
}
