<?php
namespace Ep\Wp\View\Helper;

use Ep\Middleware\MiddlewareBridge;
use Interop\Container\ContainerInterface;
use Mezzio\Flash\FlashMessageMiddleware;
use Mezzio\Flash\FlashMessagesInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Kreira novu instancu Message helpera.
 *
 * @package Ep\Wp\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/ep-framework/wordpress
 */
final class MessagesFactory implements FactoryInterface
{
    /**
     * Kreira helper.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return Messages
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var MiddlewareBridge $bridge */
        $bridge = $container->get('app.middleware_bridge');
        /** @var FlashMessagesInterface $messages */
        $messages = $bridge->get(FlashMessageMiddleware::FLASH_ATTRIBUTE);

        return new Messages($messages);
    }
}
